Profile

Update the current profile

Updates one or more mutable profile fields (display name, avatar, locale). Only provided fields are changed. The PID (`<handle>@pid`) is immutable and is never updated here — there is no endpoint that changes, reuses, or reassigns it.

PATCH
/profile

Updates one or more mutable profile fields (display name, avatar, locale). Only provided fields are changed. The PID (<handle>@pid) is immutable and is never updated here — there is no endpoint that changes, reuses, or reassigns it.

Authorization

cookieAuth
pid_access<token>

JWT access token set by /auth/google/callback or /auth/refresh

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/profile" \  -H "Content-Type: application/json" \  -d '{    "displayName": "PeridotPlayer",    "locale": "en-US"  }'
{  "pid": "string",  "displayName": "string",  "avatarUrl": "http://example.com",  "locale": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}